Skip to main content
GET
Get All Person Duplicate Suggestions

Authorizations

Authorization
string
header
required

A static Affinity API key, presented as a bearer token.

Query Parameters

cursor
string

Cursor for the next or previous page

limit
integer<int32>
default:100

Number of items to include in the page

Required range: 1 <= x <= 100
totalCount
boolean
default:false

When true, include the total count of the collection in the pagination response

term
string

Free-text search term to filter suggestions by the person's first name

Minimum string length: 2
filter
string

Filter person duplicate suggestions using Affinity Filtering Language

orderBy
enum<string>[]

Properties to order the results by. Prefix with - for descending order. Repeat the parameter to order by multiple properties.

Available options:
name,
-name,
createdAt,
-createdAt

Response

OK

Paginated list of person duplicate suggestions

data
PersonDuplicateSuggestion · object[]
required

Array of person duplicate suggestions

Maximum array length: 100
pagination
PaginationWithTotalCount · object
required